Subject: bug#75746: 31.0.50; Can't get password promote from plink 0.82

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Feb 2025 17:23:24 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 14 Feb 2025 15:29:49 +0100
> 
> Version: 30.2
> 
> >> If I call the very same command in a native cmd.exe terminal, evrything
> >> works as expected. And so it did inside Emacs prior PuTTY 0.82.
> >
> > This was a deliberate behaviour change in 0.82, described in the
> > following link, which also describes how to restore the old behaviour.
> > https://www.chiark.greenend.org.uk/~sgtatham/putty/wishlist/windows-stdio-prompts.html
> >
> > The proposed option works as expected.
> 
> I've adapted the call of plink, pscp, and psftp accordingly. This
> requires now at least PuTTY 0.82.

??? So users of older versions of PuTTY will now be unable to use
these Tramp methods, and _must_ upgrade their PuTTY installations?  I
hope not.